from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XURLTransformer(XInterface, Protocol):
    def parseStrict(self, aURL: URL) -> bool: ...
    def parseSmart(self, aURL: URL, sSmartProtocol: str) -> bool: ...
    def assemble(self, aURL: URL) -> bool: ...
    def getPresentation(self, aURL: URL, bWithPassword: bool) -> str: ...
